<?php
function adminOptionsName($name) {
	echo '
	<div class="form-group">
		<label class="col-sm-2 control-label" for="t-name">Název testu:</label>
		<div class="col-sm-10"><input name="name" type="text" class="form-control" id="t-name" value="'.$name.'" required></div>
	</div>';
}

function adminOptionsDescription($description) {
	echo '
	<div class="form-group">
		<label class="col-sm-2 control-label" for="t-desc">Popis testu:</label>
		<div class="col-sm-10"><textarea name="description" class="form-control " rows="5" id="t-desc" placeholder="Nepovinné ...">'.$description.'</textarea></div>
	</div>';
}

function adminOptionsPublic($public) {
	echo '
	<div class="form-group">
		<label class="col-sm-2 control-label">Veřejnost testu:</label>
		<div class="col-sm-10">
			<div class="btn-group toggle">
				<button data-opt="0" type="button" class="btn '.($public == 0 ? 'btn-primary' : 'btn-default').'"  data-toggle="tooltip" data-placement="top" title="Test neuvidí každý, pouze ten, komu zašlete odkaz.">Neveřejný</button>
				<button data-opt="1" type="button" class="btn '.($public == 1 ? 'btn-primary' : 'btn-default').'"" data-toggle="tooltip" data-placement="top" title="Test se zobrazí všem v seznamu testů a ti si ho budou moci vyplnit.">Veřejný</button>
				<input class="optinput" name="public" type="hidden" value="'.$public.'">
			</div>
		</div>
	</div>';
}

function adminOptionsRand($rand, $limit, $count_q) {
	echo '
	<div class="form-group">
		<label class="col-sm-2 control-label">Pořadí otázek:</label>
		<div class="col-sm-10">
			<div class="btn-group toggle">
				<button data-opt="0" type="button" class="btn '.($rand == 0 ? 'btn-primary' : 'btn-default').' hasnoOpt">Dle otázek</button>
				<button data-opt="1" type="button" class="btn '.($rand == 1 ? 'btn-primary' : 'btn-default').' hasOpt">Náhodné</button>
				<input class="optinput" name="rand" type="hidden" value="'.$rand.'">
			</div>
			<div class="optval randq" style="display:'.($rand == 0 ? 'none' : 'inline-block').';">
				<span> Vypsané otázky: </span>
				<select class="q-limit" name="rand_test">';
				for($a = 0;$a <= $count_q;$a++) {
					$at = ($a == 0 ? "Vše" : $a);
					echo '<option value="'.$a.'"'.($a == $limit ? ' selected' : '').'>'.$at.'</option>';
				}
				echo '
				</select></div>
			</div>
		</div>
	';
}

function adminOptionsTimeLimit($time) {
	echo '
	<div class="form-group form-inline">
		<label class="col-sm-2 control-label">Časový limit:</label>
		<div class="col-sm-10">
			<div class="btn-group toggle">
				<button data-opt="0" type="button" class="btn '.($time == 0 ? 'btn-primary' : 'btn-default').' hasnoOpt">Bez limitu</button>
				<button data-opt="1" type="button" class="btn '.($time != 0 ? 'btn-primary' : 'btn-default').' hasOpt">S limitem</button>
				<input class="optinput" name="limit" type="hidden" value="'.($time == 0 ? '0' : '1').'">
			</div>
			<div class="optval" style="display:'.($time == 0 ? 'none' : 'inline-block').';"><input class="form-control form-time" name="limit_test" type="number" min="1" max="100" value="'.($time == 0 ? '10' : $time).'"> <span>minut</span>
			</div>
		</div>
	</div>';
}