$(document).on("click", ".reg-log p a",  function(){ // Přihlásit/odhlásit toggle
  source = $(this).attr("href");
  if(source == "#login") { n_source = "#register"; } else { n_source = "#login"; }
    if($(".reg-log p a.sel").length) {
      if($(".reg-log p a.sel").attr("href") == source) {
        $(source).slideUp(300); 
        $(".reg-log p a.sel").removeClass("sel");
      }else if($(".reg-log p a.sel").attr("href") == n_source) { 
        $(n_source).slideUp(300, function() {
          $(source).slideDown(300);   
        }); 
        $(".reg-log p a.sel").removeClass("sel");
        $(".reg-log p a[href='"+source+"']").addClass("sel");
      } 
    }else {
      $(this).addClass("sel");
      $(source).slideDown(300); 
    }
  return false;
});  

function doErr(elem,text) { //Chybové hlášky pro přihlášení/registraci
  elspl = elem.split(", ");
  $(elspl[0]).parent().append('<p class="errmsg">'+text+'</p>');
  $(elem).addClass("has-error has-feedback");
  $(elem).append('<span class="hasErr glyphicon glyphicon-remove form-control-feedback"></span>');  
}

$(document).on('click', '#regme',  function(){ //Registrace AJAX     
  email = $.trim($("#elemail2").val());
  password = $.trim($("#elpassword2").val());
  password_re = $.trim($("#elpasswordre2").val());
  if(email.length > 0 && password.length > 0 && password_re.length > 0) {
    $.ajax({
      type: "POST",
      url: "register.php",
      data: 'email='+email+'&password='+password+'&passwordre='+password_re,
      cache: false,
      beforeSend: function(){ $("#regme").val('Registruji...');},
      success: function(data){
        if(data) {
          $(".reg1, .reg2, .reg3").removeClass("has-error has-feedback");
          $(".reg1 .hasErr, .reg2 .hasErr, .reg3 .hasErr, .errmsg").remove();
          if(data != 0) {
              if(data == 1) {
                doErr(".reg1","Tento e-mail je už zaregistrovaný");
              }else if(data == 2) {
                doErr(".reg1","E-mail je špatně zadaný");
              }else if(data == 3) {
                doErr(".reg2, .reg3","Zadaná hesla se neshodují");
              }else if(data == 4) {
                doErr(".reg2, .reg3","Heslo má méně jak 6 znaků");
              }                              
              $("#regme").val('Registrovat se');
            }else if(data == 0){
              $("#register").slideUp(300, function() {
                location.reload();
              }); 
            }
          }
        }
      });
  }
  return false;
});  

$(document).on('click', '#logme',  function(){ // Přihlášení AJAX
  email = $.trim($("#elemail1").val());
  password = $.trim($("#elpassword1").val());

  if(email.length > 0 && password.length > 0) {
    $.ajax({
      type: "POST",
      url: "login.php",
      data: 'email='+email+'&password='+password,
      cache: false,
      beforeSend: function(){ $("#logme").val('Přihlašuji...');},
      success: function(data){
        $(".log1, .log2").removeClass("has-error has-feedback");
        $(".logg1 .hasErr, .log2 .hasErr, .errmsg").remove();
        if(data) {
          $("#login").slideUp(300, function() {
            location.reload();
          }); 
        }else{
          doErr(".log1, .log2","Špatné přihlašovací údaje");
          $("#logme").val('Přihlásit se');
        }
      }
    });
  }
  return false;
});

$(document).ready(function(){
  $("#search-list").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#tests-list tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
    $(".total-tests").text($(".table-tests tr:visible").length-1);
  });
  $('[data-toggle="tooltip"]').tooltip();
});