<?php
	require_once("core/db.php");
	require_once("core/functions.php");

	require_once("core/global.php");
	if($logged_in) { Header("Location: $path"); }
	$title = "Zapomenuté heslo";

	if(isset($_GET['key']) && isset($_GET['email'])) {
		$result_user = mysqli_query($mysqli,"SELECT id, email FROM el_users WHERE email = '".secureDBinput($_GET['email'],$mysqli)."' LIMIT 1");
		$result_lp = mysqli_query($mysqli,"SELECT email FROM el_lostpw WHERE key_hash = '".secureDBinput($_GET['key'],$mysqli)."' AND email = '".secureDBinput($_GET['email'],$mysqli)."' LIMIT 1");
		$row_user = mysqli_fetch_array($result_user,MYSQLI_ASSOC);
		$row_lp = mysqli_fetch_array($result_lp,MYSQLI_ASSOC);
		if($row_user['email'] == $row_lp['email']) {
			$new_pw = substr(md5(uniqid()), 0, 8);
			mysqli_query($mysqli,"UPDATE el_users SET password = '".sha1($new_pw)."' WHERE id = ".$row_user['id']."");
			$message = 'Dobrý den, aktualizované údaje: nové heslo je: '.$new_pw;
			mail($_GET['email'], 'RespoELearno - nové heslo', $message,'Content-type: text/html; charset=utf-8');
			$success = "Heslo bylo změněno. Nové heslo je: <strong>".$new_pw."</strong>. Informace Vám byly zaslány na e-mail.";
			mysqli_query($mysqli,"DELETE FROM el_lostpw WHERE email = '".secureDBinput($_GET['email'],$mysqli)."'");
		}
	}

	if(isset($_POST['lostpassword'])) {
		$email = secureDBinput($_POST['email'],$mysqli);
		$result_email = mysqli_query($mysqli,"SELECT id FROM el_users WHERE email LIKE '$email'");
		$count = mysqli_num_rows($result_email);
		
		if($email == "") {
			$error = "Není vyplněn e-mail.";
		}elseif(!(filter_var($email, FILTER_VALIDATE_EMAIL))) {
			$error = "Byl zadán neplatný e-mail."; 
		}elseif($count == 0) {
			$error = "Zadaný e-mail není registrován.";
		}else{
			$key = md5(uniqid());
			mysqli_query($mysqli,"INSERT INTO el_lostpw (
				id ,
				email ,
				key_hash
				)
				VALUES (
				NULL , '$email', '$key'
				)");
			$message = 'Dobrý den, zapomněli jste své heslo?<br>Nové heslo si můžete resetovat na adrese: <a href="http://'.$_SERVER[HTTP_HOST].$path.'lost-pw.php?key='.$key.'&email='.$email.'">http://'.$_SERVER[HTTP_HOST].$path.'lost-pw.php?key='.$key.'&email='.$email.'</a>';
			mail($email, 'RespoELearno - zapomenuté heslo', $message,'Content-type: text/html; charset=utf-8');
			$success = "Na zadaný e-mail by zaslán aktivační odkaz pro změnu hesla";
		}
		
	}

	include("include/head.php");
	include("include/header.php");
	topPage("Zapomenuté heslo","Zadejte e-mailovou adresu vašeho účtu, na kterou vám bude zaslán odkaz pro změnu hesla.");
?>
<div id="content" class="subpg">
	<div class="container">
		<?php 
			if(isset($error)) { alert("",$error,"danger"); }elseif(isset($success)){ alert("",$success,"success"); } 

	        if(!isset($_GET['key']) || (!isset($_GET['email']))) {
	        echo '
			<form method="post" action="'.$_SERVER['PHP_SELF'].'" class="form-horizontal">
				<div class="form-group">
					<label class="control-label col-sm-2" for="inpemail">Váš e-mail:</label>
					<div class="col-sm-10">
						<input name="email" id="inpemail" class="form-control" type="email">
					</div>
				</div>
				<button type="submit" name="lostpassword" class="btn btn-primary">Odeslat</button>
			</form>';
			}
		?>
	</div>
</div>
<?php
	include("include/footer.php");
?>