<?php
	require_once("core/db.php");
	require_once("core/functions.php");

	require_once("core/global.php");
	$title = "Testy";

	include("include/head.php");
	include("include/header.php");
	topPage("Testy","Vyberte si některý z testů a začněte procvičovat.");
?>
<div id="content" class="subpg">
	<div class="container">
		<?php 
		  $result_tests = mysqli_query($mysqli,"SELECT * FROM el_tests WHERE public = 1 ORDER BY name");
		  $count_tests = mysqli_num_rows($result_tests);

		  if($count_tests == 0) {
		    alert("Info.","Nejsou k dispozici žádné veřejné testy.","info");
		  }else{
		?>
		<input class="form-control" id="search-list" type="text" placeholder="Vyhledat ...">
		<br>
		<table class="table table-hover table-tests">
		  <thead>
		    <tr>
		      <th>Název testu</th>
		      <th>Průměrná úspěšnost</th>
		      <th>Akce</th>
		    </tr>
		  </thead>
		  <tbody id="tests-list">
		  <?php
		    while($row_tests = mysqli_fetch_array($result_tests,MYSQLI_ASSOC)) {
		    $result_perc = mysqli_query($mysqli,"SELECT AVG(percent) as prc FROM el_tests_done WHERE test_id = ".$row_tests['id']." AND NOT percent = 101");
		  	//$count_perc = mysqli_num_rows($result_perc);
		  	$count_perc = mysqli_fetch_array($result_perc,MYSQLI_ASSOC);
		      echo '
		      <tr>
		        <td>'.$row_tests['name'].'</td>
		        <td>'.round($count_perc['prc']).'%</td>
		        <td><a href="test.php?id='.$row_tests['hash'].'" class="btn btn-primary" role="button"><span class="glyphicon glyphicon-chevron-right"></span> Zobrazit</a></td>
		      </tr>';
		    }
		  ?>
		  </tbody>
		</table>
		<p class="text-right">Celkem: <span class="total-tests"><?php echo $count_tests; ?></span></p>
		<?php
		  }
		?>
	</div>
</div>
<?php
	include("include/footer.php");
?>