<?php
require_once("core/db.php");
require_once("core/functions.php");
require_once("core/manage.php");

require_once("core/global.php");
if(!$logged_in) { Header("Location: $path"); }
$title = "Upravit test";
$additional_JSlibraries = array("jquery-ui.min","manage");

if(isset($_GET['id'])) {
	$result_test = mysqli_query($mysqli,"SELECT * FROM el_tests WHERE hash = '".secureDBinput($_GET['id'],$mysqli)."' AND user_id = ".$_SESSION['authority']);
	$count = mysqli_num_rows($result_test);
	if($count == 0) { Header("Location: $path"); } 
	$row = mysqli_fetch_array($result_test,MYSQLI_ASSOC);  

	if(isset($_POST['edit_test'])) {

		$name = secureDBinput($_POST['name'],$mysqli);
		$description = secureDBinput($_POST['description'],$mysqli);
		$public = intval($_POST['public']);
		$rand = intval($_POST['rand']);
		$question_limit = ($rand == 0 ? 0 : intval($_POST['rand_test']));
		$create_time = Date("Y-m-d H:i:s", Time());
		$test_time = (intval($_POST['limit']) == 0 ? 0 : intval($_POST['limit_test']));
		$last_test = mysqli_query($mysqli,"SELECT id FROM el_tests ORDER BY id DESC LIMIT 1");
		$last_test_id = mysqli_fetch_array($last_test,MYSQLI_ASSOC);
		$hash = hash('crc32', $last_test_id['id']);

		if($name == "") {
			$error = "Je nutné mít vyplněný název!";
		}elseif(strlen($name) < 3) {
			$error = "Název musí mít minimálně 3 znaky!";
		}else{
			mysqli_query($mysqli, "UPDATE el_tests SET 
				name = '$name',
				description = '$description',
				public = $public,
				create_time = '$create_time' ,
				test_time = $test_time,
				rand = $rand,
				edit = 1,
				question_limit = $question_limit
				WHERE id = ".$row['id']." AND user_id = ".$_SESSION['authority']);

			$result_tests = mysqli_query($mysqli,"SELECT id FROM el_questions WHERE test_id = ".$row['id']);
	      	while($row_tests = mysqli_fetch_array($result_tests,MYSQLI_ASSOC)) {
	        	mysqli_query($mysqli,"DELETE FROM el_answers WHERE question_id = ".$row_tests['id']);   
	      	}
	      	mysqli_query($mysqli,"DELETE FROM el_questions WHERE test_id = ".$row['id']);

			$question = $_POST['question'];
			$question_type = $_POST['question_type'];

			for($a=0;$a < count($_POST['question']);$a++) {
				$input_test = ($question_type[$a] == 1 ? 1 : 0); 
				mysqli_query($mysqli, "INSERT INTO el_questions (
					id ,
					question ,
					type ,
					test_id ,
					position
					)
					VALUES (
					NULL ,  '".secureDBinput($question[$a],$mysqli)."', ".intval($question_type[$a]).", ".$row['id'].", ".($a+1)."
					)");

				$last_question = mysqli_query($mysqli,"SELECT id FROM el_questions ORDER BY id DESC LIMIT 1");
				$last_question_id = mysqli_fetch_array($last_question,MYSQLI_ASSOC);

			        $answer = $_POST['answer'.$a];
			        for($b=0;$b < count($answer);$b++) {
			        	$answer_ri = ($input_test == 1 ? 1 : intval($_POST['answer_ri'.$a][$b])); 
			        	mysqli_query($mysqli, "INSERT INTO el_answers (
			        		id ,
			        		answer ,
			        		question_id ,
			        		correct
			        		)
			        		VALUES (
			        		NULL , '".secureDBinput($answer[$b],$mysqli)."', ".$last_question_id['id'].", ".$answer_ri."
			        		)");
					}
			}
				$success = "Test byl upraven.";  
		}
	}
}elseif(isset($_GET['del'])) {
	$result_test = mysqli_query($mysqli,"SELECT id FROM el_tests WHERE hash = '".secureDBinput($_GET['del'],$mysqli)."' AND user_id = ".$_SESSION['authority']);
	$count = mysqli_num_rows($result_test);
	if($count == 0) { 
		Header("Location: ".$path."edit-test.php");
	}else{
		$row = mysqli_fetch_array($result_test,MYSQLI_ASSOC);
		mysqli_query($mysqli,"DELETE FROM el_tests_done WHERE test_id = ".$row['id']);
		mysqli_query($mysqli,"DELETE FROM el_questions_done WHERE test_id = ".$row['id']);
		$result_tests = mysqli_query($mysqli,"SELECT id FROM el_questions WHERE test_id = ".$row['id']);
		while($row_tests = mysqli_fetch_array($result_tests,MYSQLI_ASSOC)) {
	      mysqli_query($mysqli,"DELETE FROM el_answers WHERE question_id = ".$row_tests['id']."");   
	    }
	    mysqli_query($mysqli,"DELETE FROM el_questions WHERE test_id = ".$row['id']);
	    mysqli_query($mysqli,"DELETE FROM el_tests WHERE id = ".$row['id']);
	    $success = "Zadaný test byl smazán.";
	}
}

	include("include/head.php");
	include("include/header.php");
	topPage((isset($_GET['id']) ? "Upravit test" : "Moje testy"),(isset($_GET['id']) ? "Úprava vlastního testu" : "Seznam vytvořených testů"));
	?>
	<div id="content">
		<div class="container">
		<?php if(isset($error)) { alert("",$error,"danger"); }elseif(isset($success)){ alert("",$success,"success"); } ?>
		<?php 
			if(isset($_GET['id'])) { 
				include("edit-test_content.php");
			}else{
				include("edit-test_list.php");
			}
		?>	
		</div>
	</div>
	<?php
	include("include/footer.php");
	?>