<?php
	require_once("core/db.php");
	require_once("core/functions.php");
	require_once("core/global.php");
	$title = "Úvod";

	include("include/head.php");
	include("include/header.php");
?>
<div id="top-content" class="mainpage">
	<div class="container">
		<div class="jumbotron mmain">
			<h1>Responzivní e-learningová webová aplikace</h1> 
			<p>Zde si můžete procvičit znalosti z různých oborů, popřípadě vytvořit vlastní procvičování.</p> 
			<p>Je to jednoduché, nejdříve se doporučuji zaregistrovat</p>
			<p><a class="btn btn-primary btn-lg btn-main" href="tests.php" role="button">Začít procvičovat</a></p> 
		</div>
	</div>  
</div>
<div id="content" class="mainpage">
	<div class="container">
		<div class="row">
			<div class="col-sm-4">
				<h2><span class="glyphicon glyphicon-user"></span> Vše pod jedním účtem</h2>
				<p>Pokud se zaregistrujete a použiváte aplikaci pod svým účtem, máte veškerý vytvořený obsah a vyplněné testy pod svojí správou. Nemůže se poté stát, že by se někam ztratil.</p>
			</div>
			<div class="col-sm-4">
				<h2><span class="glyphicon glyphicon-pencil"></span> Přidávejte cvičení</h2>
				<p>Čím tato aplikace disponuje je možnost přispívat obsahem. To v podobě vypracování otázek a odpovědí. Každý přihlášený uživatel má tuto možnost se zapojit do programu.</p>
			</div>
			<div class="col-sm-4">
				<h2><span class="glyphicon glyphicon-phone"></span> Kompatibilita</h2>
				<p>Webová aplikace RespoELearno se přizpůsobí velikosti používaného zařízení. To nabízí pohodlné ovládání a lepší přehlednost pro smartphony, tablety, či velikostně jiná zařízení.</p>
			</div>
		</div>
	</div>
</div>

<?php
	include("include/footer.php");
?>