function checkNoQuestions(acti) { //Kontrola existence alespoň jedné otázky
	if(acti == true || $('.questions-list #question').length) {
		$(".add-test").removeClass("disabled");
	}else{
		$(".add-test").addClass("disabled");
	}
}

function randQuestions() { //Kontrola limitu počtu vypsaných otázek
	$(".q-limit option").remove();
	question_num = $(".questions-list > div").length; 
	for(a = 0; a <= question_num; a++) {
		if(a == 0) {
			$(".q-limit").append('<option value="'+a+'">Vše</option>');
		}else{
			$(".q-limit").append('<option value="'+a+'">'+a+'</option>');
		}
	}
}

function hideNonUpDowns() {
	//$('[data-toggle="tooltip"]').tooltip();
	//$('.btn-dwn, .btn-up').show('30');
	//$('.questions-list > div:first-child').find('.btn-up').hide('20');
	//$('.questions-list > div:last-child').find('.btn-dwn').hide('20');
}

function sureNumQuestion() {      
	num = 0;    
	$('.question').each(function() {
		$(this).attr("data-num",num);
		$(this).find('.answer-in').attr("name","answer"+num+"[]");
		$(this).find('.answer-ri').attr("name","answer_ri"+num+"[]");
		num = num+1;
	});
	$('[data-toggle="tooltip"]').tooltip();
}

$(document).on('click', '.toggle .btn',  function(){ //Tlačítka toggle switch
	if($(this).hasClass("hasOpt")) {
		$(this).parent().parent().find(".optval").fadeIn(100);
	}else if($(this).hasClass("hasnoOpt")) {
		$(this).parent().parent().find(".optval").fadeOut(100);
	}
	opt_type = $(this).attr("data-opt"); 
	$(this).parent().find('.btn-primary').removeClass("btn-primary").addClass("btn-default");
	$(this).removeClass("btn-default").addClass("btn-primary");
	$(this).parent().find('.optinput').val(opt_type);
	return false;
});

$(document).on('change', '.question-types',  function(){ //Změna typu otázky
	if($(this).find("option:selected").val() == 1) {       
		$(this).parent().parent().find('.question-type').load('include/question_elements.php #input');
	}else{
		if(!$(this).parent().parent().find('.question-type #other').length) {
			$(this).parent().parent().find('.question-type').load('include/question_elements.php #other'); 
		}
    if($(this).find("option:selected").val() == 2 || $(this).find("option:selected").val() == 3) { //Ověření správnosti typu otázek/počet správných odpovědí
    	$(this).parent().parent().find('.btn-success').removeClass("btn-success").addClass('btn-default');  
    	$(this).parent().parent().find('.answer-ri').val(0);
    	$(this).parent().parent().find('.btn-right:first').removeClass("btn-default").addClass('btn-success');  
    	$(this).parent().parent().find('.answer-ri:first').val(1);
    } 
}
setTimeout(sureNumQuestion, 100);
});

$(document).on('click', '.btn-right',  function(){ //Správné odpovědi
	if($(this).parents().eq(5).find('.question-types option:selected').val() != 4) {
		$(this).parents().eq(2).find('.btn-success').removeClass('btn-success').addClass('btn-default');
		$(this).parents().eq(2).find('.answer-ri').val(0);                                 
	}
	if($(this).is('.btn-default')) {
		el = 'btn-success';
		el_n = 'btn-default';
		prop = 1;
	}else{
		el = 'btn-default';
		el_n = 'btn-success';
		prop = 0;
	}
	$(this).removeClass(el_n).addClass(el);  
	$(this).parent().find('.answer-ri').val(prop);        
	return false;
}); 

$(document).on('click', '.add-answer',  function(){ //Přidání odpovědi
	$(this).parent().find('.answers-adds').append($('<div>').load('include/question_elements.php #answer'));
	setTimeout(sureNumQuestion, 100);
	return false;
});

$(document).on('click', '.delete-answer',  function(){ //Smazání odpovědi
	$(this).parent().remove();   
	setTimeout(sureNumQuestion, 100);
	setTimeout(hideNonUpDowns, 10);
	return false;
});

$(document).on('click', '.add-question',  function(){ //Přidání otázky
	$('.questions-list').append($('<div>').load('include/question_elements.php #question'));
	checkNoQuestions(true);
	randQuestions();
	setTimeout(sureNumQuestion, 100);
	setTimeout(hideNonUpDowns, 10);
	return false;
});

$(document).on('click', '.delete-question',  function(){ //Smazání otázky
	$(this).parents().eq(3).remove();
	checkNoQuestions(false);
	randQuestions();
	setTimeout(sureNumQuestion, 100);
	setTimeout(hideNonUpDowns, 10);
	return false;
});

$(document).on('click', '.btn-up',  function(){ //Posun otázky nahoru
	num = parseInt($(this).parents().eq(2).attr("data-num"));
	if(num != 0) {
		$('.question[data-num="'+num+'"]').parent().after($('.question[data-num="'+(num-1)+'"]').parent());
	}
	setTimeout(sureNumQuestion, 100);
	setTimeout(hideNonUpDowns, 10);
	return false;
});

$(document).on('click', '.btn-dwn',  function(){ //Posun otázky nahoru
	num = parseInt($(this).parents().eq(2).attr("data-num"));
	if(num != $('.questions-list > div:last-child').find('.question').attr("data-num")) {
		$('.question[data-num="'+num+'"]').parent().before($('.question[data-num="'+(num+1)+'"]').parent());
	}
	setTimeout(sureNumQuestion, 100);
	setTimeout(hideNonUpDowns, 10);
	return false;
});

$(document).on('click', '.del-test',  function(){
	if(confirm("Opravdu toto chcete odstranit?") == true) {
		return true;
	}else{
		return false;
	}            
}); 

$(document).on('mouseenter', '.glyphicon-move',  function(){ //Posouvání otázek
	$(".questions-list").sortable("enable");
}).on('mouseleave', '.glyphicon-move', function() {
	$(".questions-list").sortable("disable");
	setTimeout(sureNumQuestion, 100);
	setTimeout(hideNonUpDowns, 10);
});

$(document).ready(function() {      
  $(".questions-list").sortable().sortable("disable"); //Fix pro funkční funkci posouvání otázek
  $('[data-toggle="tooltip"]').tooltip();
});