<?php
	require_once("core/db.php");
	require_once("core/functions.php");

	require_once("core/global.php");
	if(!$logged_in) { Header("Location: $path"); }
	$title = "Upravit profil";

	if(isset($_POST['setnewpw'])) {
		$password = secureDBinput($_POST['newpw'],$mysqli);
		$password_re = secureDBinput($_POST['newpwag'],$mysqli);

		if($password != $password_re) {
			$error = "Zadaná heslo nejsou stejná!";  
		}elseif($password == "" || $password_re == "") {
			$error = "Nové heslo není vyplněno!";  
		}elseif(strlen($password) < 6) {
			$error = "Zadané heslo má méně jak 6 znaků!"; 
		}else{
			mysqli_query($mysqli,"UPDATE el_users SET password = '".sha1($password)."' WHERE id = ".$_SESSION['authority']."");
			$success = "Heslo bylo úspěšně změněno";  
		}

	}

	include("include/head.php");
	include("include/header.php");
	topPage("Zobrazení profilu","Zobrazení vlastního profilu s možností změny hesla");

	$result_perc = mysqli_query($mysqli,"SELECT AVG(percent) as prc FROM el_tests_done WHERE user_id = ".$_SESSION['authority']." AND NOT percent = 101");
	$result_count_t = mysqli_query($mysqli,"SELECT COUNT(*) as cnt FROM el_tests WHERE user_id = ".$_SESSION['authority']);
	$result_done = mysqli_query($mysqli,"SELECT id FROM el_tests_done WHERE user_id = ".$_SESSION['authority']." GROUP BY test_id");
	$result_done2 = mysqli_query($mysqli,"SELECT id FROM el_tests_done WHERE user_id = ".$_SESSION['authority']);
	$row_perc = mysqli_fetch_array($result_perc,MYSQLI_ASSOC);
	$row_ct = mysqli_fetch_array($result_count_t,MYSQLI_ASSOC); 
	$row_done=mysqli_num_rows($result_done);
	$row_done2=mysqli_num_rows($result_done2);
	if(round($row_perc['prc']) >= 80) { $clr = "success"; }elseif(round($row_perc['prc']) <= 79 && round($row_perc['prc']) >= 25 ){ $clr = "warning"; }else{ $clr = "danger"; }
?>
<div id="content">
	<div class="container">
		<div class="panel panel-default">
			<div class="panel-heading"><big>Shrnutí profilu</big></div>
			<div class="panel-body text-center">
				Průměrná úspěšnost:
				<div class="progress">
					<div class="progress-bar progress-bar-<?php echo $clr; ?>" role="progressbar" aria-valuenow="<?php echo round($row_perc['prc']); ?>" aria-valuemin="0" aria-valuemax="100" style="width:<?php echo round($row_perc['prc']); ?>%">
				    <?php echo round($row_perc['prc']); ?>%
					</div>
				</div>
				<p>Počet vyplněných unikátních testů: <strong><?php echo $row_done; ?></strong></p>
				<p>Počet vyplněných testů celkově: <strong><?php echo $row_done2; ?></strong></p>
				<p>Počet vytvořených testů: <strong><?php echo round($row_ct['cnt']); ?></strong></p>
			</div>
		</div>
		<div id="zmena-hesla" class="panel panel-default">
			<div class="panel-heading"><big>Změna hesla</big></div>
			<div class="panel-body">
			<?php if(isset($error)) { alert("",$error,"danger"); }elseif(isset($success)){ alert("",$success,"success"); } ?>
			<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>#zmena-hesla" class="form-horizontal">
				<div class="form-group">
					<label class="control-label col-sm-2" for="email">Email:</label>
					<div class="col-sm-10">
						<p class="form-control-static"><?php echo $us_email; ?></p>
					</div>
				</div>
				<div class="form-group">
					<label class="control-label col-sm-2" for="newpw">Nové heslo:</label>
					<div class="col-sm-10">
						<input name="newpw" id="newpw" class="form-control" type="password" required>
					</div>
				</div>
				<div class="form-group">
					<label class="control-label col-sm-2" for="newpwag">Nové heslo znovu:</label>
					<div class="col-sm-10">
						<input name="newpwag" id="newpwag" class="form-control" type="password" required>
					</div>
				</div>
				<button type="submit" name="setnewpw" class="btn btn-primary">Změnit heslo</button>
			</form>
			</div>
		</div>
	</div>
</div>
<?php
	include("include/footer.php");
?>